git: 8270a4ffc5ef - main - Tools/scripts/rmport: also cleanup when being trapped on a signal

From: Rene Ladan <rene_at_FreeBSD.org>
Date: Sun, 30 Apr 2023 11:41:28 UTC
The branch main has been updated by rene:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8270a4ffc5efe1b91791a8eb0602aec553e4ae12

commit 8270a4ffc5efe1b91791a8eb0602aec553e4ae12
Author:     Rene Ladan <rene@FreeBSD.org>
AuthorDate: 2023-04-30 11:39:33 +0000
Commit:     Rene Ladan <rene@FreeBSD.org>
CommitDate: 2023-04-30 11:40:21 +0000

    Tools/scripts/rmport: also cleanup when being trapped on a signal
    
    This should get rid of stale gitrmlist* and gitlog* files.
---
 Tools/scripts/rmport | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/Tools/scripts/rmport b/Tools/scripts/rmport
index 56adf93ea816..febfac91e4c8 100755
--- a/Tools/scripts/rmport
+++ b/Tools/scripts/rmport
@@ -352,6 +352,8 @@ usage()
 
 # main
 
+trap cleanup 1 2 3 15
+
 if [ ! -r ${INDEX} ] ; then
 	echo "${INDEX} not readable, exiting" >&2
 	exit 66
@@ -471,7 +473,3 @@ while [ "${answer}" = "y" ] ; do
 done
 
 commit
-
-cleanup
-
-# EOF